oom_score_adj.cpp File Reference
`#include <core/posix/linux/proc/process/oom_score_adj.h>`
`#include <core/posix/process.h>`
`#include <fstream>`
`#include <sstream>`
`#include <stdexcept>`
`#include <linux/oom.h>`
Include dependency graph for oom_score_adj.cpp:

Go to the source code of this file.

## Namespaces

namespace | core
namespace | core::posix
namespace | core::posix::linux
namespace | core::posix::linux::proc
namespace | core::posix::linux::proc::process

## Functions

CORE_POSIX_DLL_PUBLIC const posix::Process & | core::posix::linux::proc::process::operator>> (const posix::Process &process, OomScoreAdj &score_adj)
| Read the OomScoreAdj value for a process instance.
CORE_POSIX_DLL_PUBLIC const posix::Process & | core::posix::linux::proc::process::operator<< (const posix::Process &process, const OomScoreAdj &score_adj)
| Write the OomScoreAdj value for a process instance.